Subject: RE: [Megaco] How to control multimedia conference bridges

From: Danny Levin <[email-masked]>
Date: Mon, 6 Aug 2001 16:21:51 -0500

Brian,

A Conference is a private case of communication. Therefore the generic
mechanism should support it.
(One of the advantages of MEGACO (versus MGCP) is a more generic abstract
model...).

Context and topology should enable more flexibility not necessarily just for
conferences.

However I do agree that there is a space for packages for specific behaviors
(such as voice activation for video conferencing).

Danny.

-----Original Message-----
From: Rosen, Brian [mailto:[email-masked]]
Sent: Monday, August 06, 2001 11:49 AM
To: [email-masked]'
Subject: [Megaco] How to control multimedia conference bridges

A continuing issue in Megaco is how to control a conference bridge.
The basic issue we have not resolved is the basic mechanism - should
the control be via context and topology controls, or should it be
via packages (i.e. properties/events/signals on terminations).

I believe that there are a great many variables, and lots of models
of conference bridges and their resulting control needs.  No amount
of messing around with context and topology will suffice.  However,
we can straightforwardly create packages for the terminations,
and thus reasonably deal with any future requirements with 
the package mechanism.  I would like to see conference mechanisms prior
to V2, thus I don't want to see conference support tied to V2. 

I would therefore propose that we undertake to define a package for
the more common conference bridge functions in the Megaco WG.

I would further propose that we start with a discussion of requirements.

I know that there are folks who strongly feel that topology and
context parameters are the way to do conference control, so I would like
to see if we can come to consensus on that issue first.  Requirements
should be common, so we can work on them as we discuss the basic 
mechanism.

Brian

_______________________________________________
Megaco mailing list
[email-masked]
http://www.ietf.org/mailman/listinfo/megaco

_______________________________________________
Megaco mailing list
[email-masked]
http://www1.ietf.org/mailman/listinfo/megaco

---

From: Flemming Andreasen <[email-masked]>
Date: Mon, 06 Aug 2001 19:12:57 -0400

> Context and topology should enable more flexibility not necessarily just for

Non-sense. Use a virtual endpoint and define a conference control package if you
need something more sophisticated than the "conference" connection mode defined
in the base protocol.

-- Flemming

--
Flemming Andreasen
Cisco Systems